pfSense - Bug #9072

RRD graph mouseover information shows up as Mb when unit size is set to MB

10/26/2018 10:42 AM - Luka Rojnica
Assignee: Jared Dillard % Done:
Description

The dashboard traffic graph widget shows mouse over information in Mb when the unit size is set to MB

Associated revisions

Revision e5b43cf8 - 01/28/2019 12:18 PM - Jared Dillard
type cast traffic graph inputs to fix #9072

History

#1 - 01/24/2019 12:45 PM - JohnPoz _

Discussion about it here and validation
https://forum.netgate.com/topic/139922/solved-dashboard-traffic-not-consistent-with-status-traffic-graph

#2 - 01/24/2019 02:17 PM - Joshua Sign

i can confirm
the problem comes when you change from bytes to bits and then bits to bytes.

one temporary workaround :
change /ust/local/www/widgets/widgets/traffic_graphs.widget.php on line 280 :
window.size = <?=json_encode ($tg_size)?>;

by

window.size = <?=json_encode ($tg_size)?>*1;

This is because https:/github.com/pfsense/pfsense/blob/master/src/usr/local/wwwi/js/traffic-graphs.js#L. 203 strict check an integer.

And the values comning from post are strings.
Should be casted at first stage, but need more changes to be clean.
https://forum.netgate.com/topic/139922/solved-dashboard-traffic-not-consistent-with-status-traffic-graph
https://github.com/pfsense/pfsense/blob/master/src/usr/local/www/js/traffic-graphs.js#L203

#3 - 01/25/2019 12:35 AM - Jim Thompson

- Assignee set to Jared Dillard

#4 - 01/28/2019 12:24 PM - Jared Dillard

It looks like it was introduced in this commit (not that the code before it was perfect):
https://github.com/pfsense/pfsen mmit/52229047e723241046a2641efc477a8b48b24

| fixed it in this commit: https://github.com/pfsense/pfsense/commit/e5b43cf8b86586486d951ab1da35b6c45ad6edf6

You can test by toggling the Unit Size from Bits to Bytes and back again, or you can open the console and enter:

console.log(window.size);

and you will see it shows up in a blue color, versus the previous black color. You can also do the same for the following:

e window.graph_backgroundupdate
e window.interval
e window.size

¢ window.smoothing

#5 - 01/28/2019 12:24 PM - Jared Dillard

- Status changed from New to Feedback

#6 - 01/28/2019 12:25 PM - Jared Dillard
- % Done changed from 0 to 100

Applied in changeset e5b43cf8b86586486d951ab1da35b6c45adbedf6.

#7 - 01/28/2019 12:34 PM - Joshua Sign
It Works! ;)

tested on :

2.4.4-RELEASE-p2 (amd64)

built on Wed Dec 12 07:40:18 EST 2018
FreeBSD 11.2-RELEASE-p6

#8 - 01/28/2019 03:09 PM - Jared Dillard

- Status changed from Feedback to Resolved

#9 - 01/28/2019 03:10 PM - Jared Dillard
Thanks for digging into the problem and for testing the fix!
https://github.com/pfsense/pfsense/commit/52229047e723241046a2641efc477a8b48b24dc8
https://github.com/pfsense/pfsense/commit/e5b43cf8b86586486d951ab1da35b6c45ad6edf6
https://redmine.pfsense.org/projects/pfsense/repository/revisions/e5b43cf8b86586486d951ab1da35b6c45ad6edf6

#10 - 08/18/2019 03:46 PM - Axel Taferner

Jared Dillard wrote:

Thanks for digging into the problem and for testing the fix!

I'm running 2.4.4-RELEASE-p3 (amd64) and just noticed this same issue is still happening on my install. Do | need to do anything to fix it?

#11 - 10/30/2020 09:22 AM - Jim Pingle

- Target version set to 2.5.0

#12 - 11/05/2020 10:48 AM - Jared Dillard

| can't reproduce, did you toggle the Unit Size from Bits to Bytes and back again (hitting Save each time) on the Traffic Graphs widget and the units
not match up?
